For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
      • Batches
      • Exporting Batch Data
      • Collections
      • Exporting Collection Data
      • Datasets
      • Instructions
      • GETList Batches
      • POSTCreate a Batch
      • GETGet a Batch
      • PATCHUpdate a Batch
      • GETGet Batch Status
      • POSTSetup a Batch
      • GETGet Batch Responses
      • GETGet Batch Report
      • POSTDuplicate a Batch
      • POSTRequest a Batch Export
      • GETGet Batch Export Status
      • POSTCreate a Dataset
      • GETGet Dataset Upload URL
      • GETGet Dataset Status
      • GETGet Batch Instructions
      • POSTCreate Batch Instructions
      • PUTUpdate Batch Instructions
      • GETList Collections
      • POSTCreate a Collection
      • GETGet a Collection
      • PUTUpdate a Collection
      • GETGet Collection Responses
      • POSTRequest a Collection Export
      • GETGet Collection Export Status
    • Studies
    • Representative sample studies
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Submission Feedback Upload
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceAI Task Builder

Duplicate a Batch

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/data-collection/batches/:batch_id/duplicate
POST
/api/v1/data-collection/batches/:batch_id/duplicate
$curl -X POST https://api.prolific.com/api/v1/data-collection/batches/batch_id/duplicate \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "a3f1c2d4-5678-4e9b-9f12-3456789abcde",
3 "created_at": "2024-01-15T09:30:00Z",
4 "created_by": "6278cb09062dbb35bc4abebc",
5 "datasets": [
6 {
7 "id": "b7e9f1a2-3456-4cde-8f90-123456789abc",
8 "total_datapoint_count": 1500
9 }
10 ],
11 "name": "Data Collection Batch",
12 "status": "UNINITIALISED",
13 "total_task_count": 25,
14 "total_instruction_count": 5,
15 "workspace_id": "6278acb09062db3b35bcbeb0",
16 "task_details": {
17 "task_name": "Image Classification Task",
18 "task_introduction": "<p>Welcome to the image classification task. Your goal is to categorize images into predefined categories.</p>",
19 "task_steps": "<ol><li>Review the image carefully.</li><li>Select the most appropriate category from the options.</li><li>Submit your classification.</li></ol>"
20 }
21}
Create a duplicate of an existing AI Task Builder batch. The dataset does not need to be in READY status for duplication. Supports two modes: - Duplicate with dataset (default): Creates a copy with the same dataset (the dataset is shared between both batches, not duplicated) - Duplicate without dataset: Creates a copy that requires a new dataset upload (set upload_new_dataset to true) You can optionally provide a new name for the duplicated batch. If no name is provided, the duplicate will be named "[Original Batch Name] (Copy)".
Was this page helpful?
Previous

Get Batch Report

Next

Request a Batch Export

Create a duplicate of an existing AI Task Builder batch. The dataset does not need to be in READY status for duplication. Supports two modes:

  • Duplicate with dataset (default): Creates a copy with the same dataset (the dataset is shared between both batches, not duplicated)
  • Duplicate without dataset: Creates a copy that requires a new dataset upload (set upload_new_dataset to true)

You can optionally provide a new name for the duplicated batch. If no name is provided, the duplicate will be named “[Original Batch Name] (Copy)”.

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

batch_idstringRequired
The unique identifier of the batch to duplicate

Request

This endpoint expects an object.
namestringOptional
Optional name for the duplicated batch. If not provided, a default name will be generated.
upload_new_datasetbooleanOptionalDefaults to false

If true, creates the batch without copying the dataset (user must upload a new one). If false or omitted, duplicates with the existing dataset.

Response

Created
idstringformat: "uuid"
created_atdatetime

An ISO-8601 formatted string representing the batch creation time, in UTC.

created_bystring
User ID of the Prolific user that created the resource.
datasetslist of objects
namestring
statusenum
Allowed values:
total_task_countinteger>=0
total_instruction_countinteger>=0
workspace_idstring
task_detailsobject

Errors

4XX
Client Request Error

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.